#!/etc/opt/openit/perl
use strict;
use warnings;

my $cwd = `pwd`;
chomp $cwd;

system ("cp /var/opt/openit/etc/filtrator/licenseevents-denied.conf /var/opt/openit/etc/filtrator/licenseevents-denied.conf.pre-2202");
system ("cp /var/opt/openit/etc/filtrator/licenseevents-hostgroups.conf /var/opt/openit/etc/filtrator/licenseevents-hostgroups.conf.pre-2202");
system ("cp /var/opt/openit/etc/filtrator/licenseevents-host-usage.conf /var/opt/openit/etc/filtrator/licenseevents-host-usage.conf.pre-2202");
system ("cp /var/opt/openit/etc/filtrator/licenseevents-individual-usage.conf /var/opt/openit/etc/filtrator/licenseevents-individual-usage.conf.pre-2202");
system ("cp /var/opt/openit/etc/filtrator/licenseevents-log-v2.conf /var/opt/openit/etc/filtrator/licenseevents-log-v2.conf.pre-2202");
system ("cp /var/opt/openit/etc/filtrator/licenseevents-total-usage.conf /var/opt/openit/etc/filtrator/licenseevents-total-usage.conf.pre-2202");
system ("cp /var/opt/openit/etc/filtrator/licenseevents-usergroups.conf /var/opt/openit/etc/filtrator/licenseevents-usergroups.conf.pre-2202");
system ("cp /opt/openit/libexec/bin/regenerate_data /opt/openit/libexec/bin/regenerate_data.pre-2202");
system ("cp /var/opt/openit/etc/data_generation_config /var/opt/openit/etc/data_generation_config.pre-2202");


my $newfile = "$cwd/files/data_generation_config";
system ("touch $newfile");
open(my $fh, '>', $newfile) or die "Could not open file '$newfile' $!";

print $fh "";

open($fh, '>>', $newfile) or die "Could not open file '$newfile' $!";

my $filename = '/var/opt/openit/etc/data_generation_config'; 
open(my $fh2, '<', $filename) or die "Could not open file '$filename' $!";

while (my $row = <$fh2>) {
	chomp $row;

	if ($row =~ m/89.*/) {	# check for end of last file
      print $fh "89:Total license use licenseevents:licenseevents-init,P1D,licenseevents-total-usage,P1H:on\n";
	  next;
	}
	
	if ($row =~ m/90.*/) {	# check for end of last file
      print $fh "90:Individual license use licenseevents:licenseevents-init,P1D,licenseevents-individual-usage,P1H:on\n";
	  next;
	}
	
	if ($row =~ m/91.*/) {	# check for end of last file
      print $fh "91:Usergroup license use licenseevents:licenseevents-init,P1D,licenseevents-usergroups,P1H:on\n";
	  next;
	}
	
	if ($row =~ m/108.*/) {	# check for end of last file
      print $fh "108:Host license use licenseevents:licenseevents-init,P1D,licenseevents-host-usage,P1H:on\n";
	  next;
	}

	if ($row =~ m/109.*/) {	# check for end of last file
      print $fh "109:Hostgroup license use licenseevents:licenseevents-init,P1D,licenseevents-hostgroups,P1H:on\n";
	  next;
	}
	
	print $fh $row;
	print $fh "\n";
}

close $fh2;
close $fh;
